CREATE TABLE ce_cp_options_ (
    CP_OPTION_ID                    NUMBER(18, 0) ,
    BALANCE_DATE_THRESHOLD          NUMBER(18, 0) ,
    DEFAULT_TRANSACTION_CALENDAR    NUMBER(18, 0) ,
    EXTRACTION_DURATION             VARCHAR2(120) ,
    REPORTING_CURRENCY              VARCHAR2(60)  ,
    BALANCE_CODE                    VARCHAR2(120) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)  ,
    REPORTING_CONVERSION_TYPE       VARCHAR2(120) ,
    WEEKLY_EXTRACT_FLAG             VARCHAR2(4)   ,
    WEEKLY_CALENDAR_ID              NUMBER(18, 0) ,
    PCF_SETUP_FLAG                  VARCHAR2(4)   ,
    AUDIT_ACTION_TYPE_              VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_           VARCHAR2(4000),
    AUDIT_IMPERSONATOR_             VARCHAR2(256) ,
    CP_OPTION_ID                    NUMBER(18, 0) ,
    BALANCE_DATE_THRESHOLD          NUMBER(18, 0) ,
    DEFAULT_TRANSACTION_CALENDAR    NUMBER(18, 0) ,
    EXTRACTION_DURATION             VARCHAR2(120) ,
    REPORTING_CURRENCY              VARCHAR2(60)  ,
    BALANCE_CODE                    VARCHAR2(120) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_              VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_           VARCHAR2(4000),
    AUDIT_IMPERSONATOR_             VARCHAR2(256) ,
    REPORTING_CONVERSION_TYPE       VARCHAR2(120) ,
    WEEKLY_EXTRACT_FLAG             VARCHAR2(4)   ,
    WEEKLY_CALENDAR_ID              NUMBER(18, 0) ,
    PCF_SETUP_FLAG                  VARCHAR2(4)   ,
    CONSTRAINT pk_ce_cp_options_ PRIMARY KEY (CP_OPTION_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, CP_OPTION_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
